using UnityEngine;
using System.Collections;

public class ExploreFind : MonoBehaviour {

	public Collider Block;
	public Collider StartBlock;
	public Transform Object;
	public int ItemID;

	GameObject Player;
	GameObject Sheep;

	// Use this for initialization
	void Start () {
		Player = GameObject.Find("Player");
		Sheep = GameObject.Find("Sheep");
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnTriggerEnter (Collider other)
	{
		if ( other.gameObject.tag == "Player" )
		{
			Player.SendMessage("SetMoveState", false);
			Block.collider.enabled = false;
			StartBlock.collider.enabled = true;

			if ( ItemID == 1 )
			{
				Player.SendMessage("SetTextDelay", 2f);
				Player.SendMessage("SetTextDuration", 2.5f);
				Player.SendMessage("UpdateText", "Look sheep! I found some flowers for you");

				Sheep.SendMessage("SetTextDelay", 5f);
				Sheep.SendMessage("SetTextDuration", 2.5f);
				Sheep.SendMessage("UpdateText", "Thank you, peach!");

				StartCoroutine(UpdateItems(8f));
			}
			else if ( ItemID == 2 && Camera.main.GetComponent<Explore>().hasItem1 )
			{
				Player.SendMessage("SetTextDelay", 2f);
				Player.SendMessage("SetTextDuration", 3f);
				Player.SendMessage("UpdateText", "I found some wild herbs, so now\nwe can make sheep and peach soup!");

				Sheep.SendMessage("SetTextDelay", 5.5f);
				Sheep.SendMessage("SetTextDuration", 2.5f);
				Sheep.SendMessage("UpdateText", "Mmm . . .");

				StartCoroutine(UpdateItems(9f));
			}
		}
	}

	IEnumerator UpdateItems(float wait)
	{
		yield return new WaitForSeconds(wait);

		if ( ItemID == 1 )
		{
			Camera.main.GetComponent<Explore>().hasItem1 = true;
		}
		else if ( ItemID == 2 && Camera.main.GetComponent<Explore>().hasItem1 )
		{
			Camera.main.GetComponent<Explore>().hasItem2 = true;
		}

	}
}
