using UnityEngine;
using System.Collections;

public class Interest : MonoBehaviour
{

	public bool AllowClicking = true;
	public float ClickRange = 12;
	public GameObject ClickObject;
	public string ClickAction;
	public string ClickValue;

	GameObject Player;
	GameObject Sheep;

	// Use this for initialization
	void Start () {
		Player = GameObject.Find("Player");
		Sheep = GameObject.Find("Sheep");
	}
	
	// Update is called once per frame
	void Update ()
	{
	}

	void OnMouseOver ()
	{
		if ( Input.GetButtonDown("Fire1") && Vector3.Distance(Player.transform.position, transform.position) <= ClickRange )
		{
			if ( ClickObject != null )
			{
				ClickObject.SendMessage(ClickAction, ClickValue);
			}
		}
	}

	public void Room0Obj1(string debug)
	{
		Sheep.SendMessage("SetTextDelay", 0f);
		Sheep.SendMessage("SetTextDuration", 2.5);
		Sheep.SendMessage("UpdateText", "You found it, peach!");

		Debug.Log(debug);
		Destroy(gameObject);
	}
}
