using UnityEngine;
using System.Collections;

public class ExitFast : MonoBehaviour {

	public Transform TeleportPoint;
	public Transform PlayerPoint;
	public Transform SheepPoint;

	public bool TeleportPlayer = false;
	public bool TeleportSheep = false;

	GameObject Player;
	GameObject Sheep;

	// Use this for initialization
	void Start ()
	{
		Player = GameObject.Find("Player");
		Sheep = GameObject.Find("Sheep");
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnTriggerEnter (Collider other)
	{
		if ( other.gameObject.tag == "Player" )
		{
			Camera.main.transform.position = TeleportPoint.position;
			if ( TeleportPlayer )
			{
				Player.transform.position = PlayerPoint.position;
			}

			if ( TeleportSheep )
			{
				Sheep.transform.position = SheepPoint.position;
			}
		}
	}
}
