using UnityEngine;
using System.Collections;

public class ObjectClick : MonoBehaviour {

	public float ClickRange = 12;
	public string ClickText;

	GameObject Player;
	GameObject Sheep;

	// Use this for initialization
	void Start ()
	{
		Player = GameObject.Find("Player");
		Sheep = GameObject.Find("Sheep");
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnMouseOver ()
	{
		if ( Input.GetButtonDown("Fire1") && Vector3.Distance(Player.transform.position, transform.position) <= ClickRange )
		{
			if ( Sheep != null )
			{
				Sheep.SendMessage("SetTextDelay", 0f);
				Sheep.SendMessage("SetTextDuration", 2.5f);
				Sheep.SendMessage("UpdateText", ClickText + "!");
			}
		}
	}
}
