using UnityEngine;
using System.Collections;

public class SearchHideSeek : MonoBehaviour {
	public int searchCount = 0;
	public GameObject MasterSearch;

	bool beenFound = false;
	GameObject Player;

	// Use this for initialization
	void Start () {
		searchCount = 0;

		beenFound = false;
		Player = GameObject.Find("Player");
	}
	
	// Update is called once per frame
	void Update () {
		if ( searchCount == 4 )
		{
			Player.SendMessage("SetTextDelay", 1f);
			Player.SendMessage("SetTextDuration", 3f);
			Player.SendMessage("UpdateText", "< Maybe sheep went back to the house . . . >");

			Camera.main.GetComponent<GameMenu>().searchHideSeek = true;
			Destroy(gameObject);
		}
	}

	void OnTriggerEnter (Collider other)
	{
		if ( other.gameObject.tag == "Player" && !beenFound )
		{
			beenFound = true;
			MasterSearch.GetComponent<SearchHideSeek>().searchCount++;
		}
	}
}
